Subject: Re: [PATCH] Use vfork if possible on Darwin (bug#26397)

From: Aaron Jensen <[email-masked]>
Date: Sun, 9 Apr 2017 21:13:21 -0700

On Sun, Apr 9, 2017 at 6:11 PM, YAMAMOTO Mitsuharu
<[email-masked]> wrote:
>>>>>> On Sun, 9 Apr 2017 17:06:21 -0700, Aaron Jensen <[email-masked]> said:
>
>> For me, this slows down call-process in TTY emacs by 3ms (from
>> 2.5ms->5.5ms). I typically launch a GUI emacs and connect to the
>> server in TTY via emacsclient, and in that scenario this patch does
>> not slow down call-process in the TTY, but it will affect those who
>> use TTY only, it seems.
>
> Then use "obsolete" ioctl TIOCNOTTY instead of setsid?  I'm not
> familiar with this matter, so could someone check if this is OK?  I
> confirmed that only the controlling terminal of the child process was
> detached.

Performance-wise this worked for me in both TTY and non-TTY. I can't
speak to this being an OK approach, however. Thank you!